%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%define pear_name MDB2_Driver_mysql

Name:           php-pear-MDB2-Driver-mysql
Version:        1.4.1
Release:        5%{?dist}
Summary:        MySQL MDB2 driver

Group:          Development/Libraries
License:        BSD
URL:            http://pear.php.net/package/MDB2_Driver_mysql
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz
Patch0:         %{name}-1.4.1-lob.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2
Requires:       php-pear(PEAR)
Requires:       php-pear(MDB2) >= 2.4.1
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}

%description
This is the MySQL MDB2 driver.


%prep
%setup -qc
[ -f package2.xml ] || mv package.xml package2.xml
mv package2.xml %{pear_name}-%{version}/%{pear_name}.xml
cd %{pear_name}-%{version}


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
cd %{pear_name}-%{version}
rm -rf $RPM_BUILD_ROOT docdir
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{pear_name}.xml

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
install -d $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{pear_name}.xml $RPM_BUILD_ROOT%{pear_xmldir}

# Add LOB security patch (bz #379081)
# Must be patched manually after install
pushd $RPM_BUILD_ROOT%{pear_phpdir}
patch -p0 < %{PATCH0}
popd


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{pear_name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%{pear_xmldir}/%{pear_name}.xml
%{pear_datadir}/%{pear_name}
%{pear_testdir}/%{pear_name}
%{pear_phpdir}/MDB2/Driver/*/mysql.php
%{pear_phpdir}/MDB2/Driver/mysql.php


%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Nov 13 2007 Christopher Stone <chris.stone@gmail.com> 1.4.1-3
- Add security patch (bz #379081)

* Sat Sep 22 2007 Christopher Stone <chris.stone@gmail.com> 1.4.1-2
- Update Requires

* Sat May 05 2007 Christopher Stone <chris.stone@gmail.com> 1.4.1-1
- Upstream sync

* Tue Mar 13 2007 Christopher Stone <chris.stone@gmail.com> 1.4.0-1
- Upstream sync

* Sun Dec 03 2006 Christopher Stone <chris.stone@gmail.com> 1.3.0-1
- Initial Release
